Package Details: firefox-esr-privacy 60.1.0-1

Git Clone URL: https://aur.archlinux.org/firefox-esr-privacy.git (read-only)
Package Base: firefox-esr-privacy
Description: Standalone web browser from mozilla.org
Upstream URL: https://www.mozilla.org/firefox/
Keywords: browser gecko privacy web
Licenses: GPL, MPL, LGPL
Conflicts: firefox
Provides: firefox
Submitter: Wilco
Maintainer: Wilco
Last Packager: Wilco
Votes: 12
Popularity: 0.000001
First Submitted: 2016-03-09 08:55
Last Updated: 2018-07-30 07:16

Required by (193)

Sources (11)

Latest Comments

1 2 3 4 Next › Last »

BrLi commented on 2019-02-13 14:13

the remove-pocket patches has leftovers, while during the last step of upgrade.locale, it tries to find extensions/pocket/locale/en_US but failed with no such file or directory.

31:29.10 Making langpack
31:30.76 update.locale
31:33.29 make[7]: *** ../extensions/pocket/locale: No such file or directory.  Stop.
31:33.29 make[6]: *** [Makefile:88: libs-en-US] Error 2
31:33.29 make[5]: *** [/home/user/firefox-esr/src/firefox-60.5.1/toolkit/locales/l10n.mk:206: langpack-en-US] Error 2
31:33.29 make[4]: *** [Makefile:170: libs] Error 2
31:33.29 make[3]: *** [/home/user/firefox-esr/src/firefox-60.5.1/config/rules.mk:442: default] Error 2
31:33.29 make[2]: *** [/home/user/firefox-esr/src/firefox-60.5.1/browser/build.mk:6: package] Error 2
31:33.30 make[1]: *** [Makefile:240: profiledbuild] Error 2
31:33.30 make: *** [client.mk:169: build] Error 2
31:33.32 0 compiler warnings present.
31:33.38 Notification center failed: Install notify-send (usually part of the libnotify package) to get a notification when the build finishes.
==> ERROR: A failure occurred in build().

ShatterGlass commented on 2018-09-03 07:45

Wilco I think clang and llvm should be added to the make dependencies. Without them I get this error.

 0:07.72 bindgen.  Please specify the 'LLVM_CONFIG' environment variable
 0:07.72 (recommended), pass the '--with-libclang-path' and '--with-clang-path'
 0:07.72 options to configure, or put 'llvm-config' in your PATH.  Altering your
 0:07.72 PATH may expose 'clang' as well, potentially altering your compiler,
 0:07.72 which may not be what you intended.
 0:07.75 *** Fix above errors and then restart with\
 0:07.75                "/usr/bin/make -f client.mk build"
 0:07.75 make: *** [client.mk:149: configure] Error 1"

Wilco commented on 2018-07-26 09:11

Update to 60.1.0

Wilco commented on 2018-05-31 14:50

I'm running v60 for a week now, with updated privacy patches and it works really well. I'll be releasing it soon, just have adjust the ffmpeg patch as it is too big for git

BrLi commented on 2018-05-17 17:18

the patchset still applied to 52.8.0

but I wonder if the maintainer would take care of the v60 branch

jbehmel commented on 2018-05-12 08:03

Hello, the package is outdated since 2018-01-17.

Since then there were several security issues: https://www.mozilla.org/en-US/security/advisories/mfsa2018-03/

Do you still maintain this project?

snowyyyy commented on 2017-12-17 05:33

With all the controversy about the recent shield study, is there a patch to compile without shield?

Wilco commented on 2017-11-22 08:56

If you want to use this package with GCC>=7 change mozconfig from
ac_add_options --enable-optimize

To:
ac_add_options --enable-optimize="-O2"

toxygen commented on 2017-10-26 02:26

also confirmed gtk2 build is broken, maybe remove the line

ac_add_options --enable-default-toolkit=cairo-gtk2

from mozconfig

toxygen commented on 2017-10-26 02:17

please add:

# https://bugzilla.mozilla.org/show_bug.cgi?id=1382358
# https://hg.mozilla.org/integration/mozilla-inbound/rev/4a5185552a07
patch -Np1 -i ../nvidia-GLSL-version.patch

# https://bugs.archlinux.org/task/54395 // https://bugzilla.mozilla.org/show_bug.cgi?id=1371991
patch -Np1 -i ../0001-Bug-54395-remove-hardcoded-flag-lcrmf.patch

and the patchfiles (from firefox-esr aur package) which should resolve both the libcrmf.a error and the nvidia crashes